#
# spec file for package apache-contrib (Version 1.0.9)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel expat freetype2 gd gd-devel libjpeg libpng mm mod_ssl mysql-devel mysql-shared ncpfs ncpfs-devel openssl postgresql-devel postgresql-libs python python-devel sablot sablot-devel tcl tcl-devel tcpd xf86
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim apache apache-devel autoconf automake binutils cracklib expat freetype2 gcc gd gd-devel gdbm gettext libjpeg libpng libtool libz mm mod_ssl mysql-devel mysql-shared ncpfs ncpfs-devel openssl pam perl postgresql-devel postgresql-libs python python-devel rpm sablot sablot-devel tcl tcl-devel tcpd xdevel xf86 xshared

Name:         apache-contrib
%define apache_mmn        %(MMN=$(apxs -q LIBEXECDIR)/MMN; test -x $MMN && $MMN)
%define apache_libexecdir %(apxs -q LIBEXECDIR)
%define apache_sysconfdir %(apxs -q SYSCONFDIR)
%define apache_includedir %(apxs -q INCLUDEDIR)
%define apache_serverroot %(apxs -q PREFIX)
Copyright:    1995-2001 The Apache Group
Group:        Networking/Daemons
Provides:     mod_fastcgi_sap
Obsoletes:    modcontr mod_fastcgi_sap
Requires:     apache python %{apache_mmn}
Autoreqprov:  on
Version:      1.0.9
Release:      386
Summary:      Apache Module Collection
Source0:      %{name}-%{version}.tar.bz2
Source1:      mod_auth_mysql-1.10.tar.bz2 
Source2:      mod_dynvhost.tar.bz2
Source3:      mod_gzip.tar.bz2
Source4:      mod_snake-0.5.0.tar.bz2
Source5:      mod_throttle312.tar.bz2
Source6:      mod_fastcgi-2.2.2.sap.tar.bz2
Source7:      mod_auth_nds-0.5.tar.bz2
Source8:      mod_auth_radius.tar.bz2
Source9:      mod_relocate-1.0.tar.bz2
Source10:     mod_dtcl-0.11.2.tar.bz2
Source11:     mod_auth_pam-1.0a.tar.bz2
Source12:     mod_gd-1.0.tar.bz2
Source13:     mod_mp3-0.25.tar.bz2
Source14:     mod_frontpage-1.5.1mdk-1.3.19.tar.bz2
Source15:     mod_auth_smb-0.3.tar.bz2
Source16:     mod_msff.c
Source17:     mod_access_referer-1.0.1.tar.bz2
Source18:     mod_auth_kerb-4.10.tar.bz2
Source19:     mod_auth_shadow-1.3.tar.bz2
Source20:     mod_layout-3.0.tar.bz2
Source21:     mod_auth_pgsql-0.9.11.tar.bz2
Source22:     modxslt.tar.bz2
Source23:     mod_auth_cache_0.1.0.tar.bz2  
Source24:     mod_hosts_access-1.0.0.tar.bz2  
Source25:     mod_witch-0.0.1.tar.bz2
Patch:        %{name}-%{version}.dif
Patch1:       modxslt.dif
Patch2:       mod_frontpage_commonconf.diff.bz2
Patch3:       mod_frontpage.conf
Patch4:       fp40.linux.tar.bz2
Patch5:       mod_auth_smb-0.3.dif
Patch6:       mod_auth_pgsql-0.9.8.dif
Patch7:       mod_auth_cache_0.1.0.dif
Patch8:       mod_witch-0.0.1.dif
Patch9:       mod_relocate-1.0.dif
Patch10:      mod_layout-3.0.dif

%description
This is a collection of third-party modules contributed to the Apache HTTP
server project.

mod_allowdev .......... Disallow requests for files on particular devices

mod_auth_cookie ....... Authenticate via cookies; on-the-fly

mod_auth_cookie_file .. Authenticate via cookies; with .htpasswd-like file

mod_auth_external ..... Authenticate via external program

mod_auth_inst ......... Authenticate via instant passwords for dummy users

mod_auth_system ....... Authenticate via system passwd file

mod_eaccess ........... Extended Access Control

mod_bandwidth ......... Bandwidth management on a per-connection basis

mod_cache ............. Automatic caching of documents via mmap()

mod_urlcount .......... Automatic URL access counter via TXT and DBM file

mod_disallow_id ....... Disallow requests for files owned by
particular UserIDs

mod_lock .............. Conditional locking mechanism for document trees

mod_peephole .......... Peepholing filesystem information about documents

mod_put ............... Handler for HTTP/1.1 PUT and DELETE method

mod_qs2ssi ............ Parse query string to CGI/SSI variables

mod_session ........... Session management and tracking via identifiers

mod_fastcgi ........... FastCGI Implementation

mod_cvs ............... CVS on-the-fly checkout mechanism

mod_macro ............. Macros for the configuration files

mod_roaming ........... Server-Support for the Netscape 4.5 Roaming Facility

mod_ip_forwarding ..... IP client address/name forwarding between proxies

mod_define ............ Variable Defines for the configuration
files (EXTRA=1 only)

mod_auth_mysql ........ Authenticate via mySQL database

mod_dynvhost .......... dynamic mass virtual hosting

mod_gzip .............. view gzipped pages

mod_throttle .......... reduce the load on your server bandwidth

SuSE series: n

%prep 
%setup 
%setup %setup -n %{name}-%{version} -c %{name}-%{version} -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10 -a11 -a12 -a13 -a14 -a15 -a 17 -a 18 -a 19 -a 20 -a 21 -a 22 -a 23 -a 24 -a 25 -T -D 
%patch
pushd modxslt
%patch1
popd
pushd mod_frontpage-1.5.1mdk-1.3.19
%patch2 -p1
for file in `find . -type f -exec fgrep -l /usr/local/frontpage {} \;`; do
    cat $file | \
    sed -e 's+/usr/local/frontpage+%{_libdir}/frontpage+' > tmp_file;
    mv tmp_file $file;
    echo "Patched Frontpage path in: $file";
done
popd
pushd mod_auth_smb-0.3
%patch5
popd
pushd mod_auth_pgsql-0.9.11
%patch6
popd 
pushd mod_auth_cache_0.1.0
%patch7
popd 
pushd mod_witch-0.0.1
%patch8
popd 
pushd mod_relocate-1.0
%patch9
popd 
pushd mod_layout-3.0
%patch10
popd 
mkdir mod_msff
cp $RPM_SOURCE_DIR/mod_msff.c mod_msff/

%build
%ifarch i386
pushd mod_frontpage-1.5.1mdk-1.3.19
    cd DSO
    echo "`which httpd`"|perl Makefile.PL
    make
popd; 
%endif
pushd mod_hosts_access-1.0.0 ;
    %{_sbindir}/apxs -c -lwrap mod_hosts_access.c 
popd;
pushd mod_auth_cache_0.1.0 ;
    %{_sbindir}/apxs -c mod_auth_cache.c;
popd;
pushd mod_witch-0.0.1;
    %{_sbindir}/apxs -c mod_witch.c ;
popd;
pushd modxslt ;
    %{_sbindir}/apxs -c -lsablot -lexpat mod_xslt.c
popd ;
pushd mod_auth_pgsql-0.9.11;
    autoconf ;
    CFLAGS="`apxs -q CFLAGS`" ./configure --with-apxs=`which apxs` --with-pgsql=/usr/include/pgsql ;
    make ;
popd;
pushd mod_msff;
	%{_sbindir}/apxs -c mod_msff.c
popd;
pushd mod_gd-1.0;
	%{_sbindir}/apxs -c -lpng -lz -ljpeg -lgd mod_gd.c
popd;
%ifnarch ia64
pushd mod_mp3-0.25;
	make all
popd;
%endif
pushd mod_access_referer-1.0.1;
	make
popd;
pushd src/modules/kerberos/ ;
	%{_sbindir}/apxs -c mod_auth_kerb.c ;
popd ; 
pushd mod_auth_pam-1.0a;
        %{_sbindir}/apxs -c -lpam -ldl mod_auth_pam.c
popd;
pushd mod_dtcl;
	%{_sbindir}/apxs -c -ltcl8.3 -ldl -lieee -lm -n mod_dtcl -o mod_dtcl.so *.c
popd;
pushd mod_relocate-1.0;
	make
popd;
pushd mod_auth_radius-1.5.2;
	%{_sbindir}/apxs -c mod_auth_radius.c
popd;
pushd mod_auth_mysql-1.10; 
	%{_sbindir}/apxs -c -I /usr/include/mysql/ -lmysqlclient mod_auth_mysql.c
popd ;
pushd dynvhost;
	%{_sbindir}/apxs -c mod_dynvhost.c
popd;
pushd mod_fastcgi-2.2.2;
	rm -f mm.h
	%{_sbindir}/apxs -n mod_fastcgi_sap -o mod_fastcgi_sap.so -c *.c
popd;
pushd mod_gzip;
	%{_sbindir}/apxs -c -lz mod_gzip.c
popd;
	
pushd mod_throttle-3.1.2;
	make all;
popd;
pushd mod_snake-0.5.0;
	CFLAGS="`apxs -q CFLAGS`" ./configure --with-apxs=%{_sbindir}/apxs
	make
popd
pushd mod_auth_nds-0.5 ;
	%{_sbindir}/apxs -c -lncp mod_auth_nds.c
popd;
pushd mod_auth_smb-0.3
	%{_sbindir}/apxs -c -I.  mod_auth_smb.c md4.c rfcnb-io.c \
		rfcnb-util.c session.c smbdes.c smbencrypt.c \
		smblib-util.c smblib.c valid.c
popd
pushd mod_layout-3.0;
    make
popd;
APXS=%{_sbindir}/apxs make all

%install
write_files_per_module ()  # Usage: write_files_per_module module_corename enable
{
	MODULE_NAME="$1"
	MODULE_ENABLE="$2"
	MODULE_LOADNAME="$3"
	RC_CONFIG_PRE="HTTPD_SEC_MOD_"
	RC_CONFIG_STRING="$RC_CONFIG_PRE`echo $MODULE_NAME | tr [:lower:] [:upper:]`"
	RC_CONFIG_FILE="./%{name}.rc.config"
	MODULES_CONF=%{apache_sysconfdir}/modules/
	HTTPD_CONF=%{apache_sysconfdir}/httpd.conf
	MODULE_FILE=$MODULES_CONF/mod_$MODULE_NAME
	MODULE_PATH=`find %{apache_libexecdir} -type f -name \*$MODULE_NAME.so`
	MODULE_NAME_LOAD=$MODULE_NAME
	if [ `echo $MODULE_NAME_LOAD | fgrep auth` ] ; then
		MODULE_NAME_LOAD="`echo $MODULE_NAME_LOAD | cut -d _ -f 2`_auth" 
	fi
	test "$MODULE_LOADNAME" && MODULE_NAME_LOAD=$MODULE_LOADNAME 
	LOAD_MODULE="LoadModule ${MODULE_NAME_LOAD}_module $MODULE_PATH"
	ADD_MODULE="AddModule mod_${MODULE_NAME}.c"
	echo "#" >> $RC_CONFIG_FILE
	echo "# enable mod_$MODULE_NAME module (yes|no)" >> $RC_CONFIG_FILE
	echo "#" >> $RC_CONFIG_FILE
	echo "$RC_CONFIG_STRING=$MODULE_ENABLE " >> $RC_CONFIG_FILE
	echo "" >> $RC_CONFIG_FILE
	echo "Variable:$RC_CONFIG_STRING" > $MODULE_FILE
	echo "LoadModule:$LOAD_MODULE"   >> $MODULE_FILE
	echo "AddModule:$ADD_MODULE"     >> $MODULE_FILE
        echo "Text:$MODULE_NAME"         >> $MODULE_FILE
	if [ "$MODULE_ENABLE" = yes ] ; then
		echo "$LOAD_MODULE"              >> %{apache_sysconfdir}/suse_loadmodule.conf
		echo "$ADD_MODULE"               >> %{apache_sysconfdir}/suse_addmodule.conf
	fi
}
#
# make contrib with APXS
#
find . -type f -name mod_\*.so -o -name lib\*.so -exec strip {} \;
touch .timestamp
mv %{apache_sysconfdir}/httpd.conf .
cp httpd.conf %{apache_sysconfdir}/httpd.conf
sleep 1
%ifarch i386
pushd mod_frontpage-1.5.1mdk-1.3.19;
    cd DSO
    %{_sbindir}/apxs -i -a mod_frontpage.so
    install -m 4711 fpexec $RPM_BUILD_ROOT%{_sbindir}
    install -m 644 $RPM_SOURCE_DIR/mod_frontpage.conf %{apache_sysconfdir}
    cd ..
    for i in CHANGES FEATURES INSTALL.APACHE+FRONTPAGE+SSL+PHP4+PHP3 INSTALL.QUICK INSTALL INSTALL.APXS README ; do
	cp $i ../$i.mod_frontpage
    done
    cp mod_frontpage.html ../
    bunzip2 -dc $RPM_SOURCE_DIR/fp40.linux.tar.bz2 | tar xf - -C %{_libdir}
    chown -R bin.bin %{_libdir}/frontpage
popd;
%endif
pushd mod_witch-0.0.1;
    %{_sbindir}/apxs -i -a mod_witch.so ;
popd;
pushd mod_hosts_access-1.0.0 ;
    %{_sbindir}/apxs -i -a mod_hosts_access.so
popd;
pushd modxslt ;
    apxs -i -a  mod_xslt.so
popd ;
pushd mod_auth_pgsql-0.9.11;
    make install ;
popd;
pushd mod_access_referer-1.0.1;
    %{_sbindir}/apxs -i -a mod_access_referer.so
popd;
pushd src/modules/kerberos/ ;
    apxs -i -a mod_auth_kerb.so ;
popd ; 
pushd mod_auth_shadow-1.3 ;
    make
popd ;
pushd mod_auth_shadow-1.3 ;
    make install
popd ;
pushd mod_msff;
    %{_sbindir}/apxs -i -a mod_msff.so
popd;
pushd mod_gd-1.0;
	%{_sbindir}/apxs -i -a mod_gd.so
popd;
%ifnarch ia64
pushd mod_mp3-0.25;
	make install
	install -m 755 -o root -g root streamwriter %{_bindir}
	for i in CONTRIBUTORS ChangeLog INSTALL LICENSE MANIFEST README TODO ; do
	    cp $i ../$i.mod_mp3
	done
popd;
%endif
pushd mod_auth_pam-1.0a;
        %{_sbindir}/apxs -i -a mod_auth_pam.so
        install -m 644 -o root -g root samples/httpd /etc/pam.d/
popd;
pushd mod_dtcl;
	%{_sbindir}/apxs -i -a mod_dtcl.so
	cp README ../README.mod_dtcl
	cp docs/documentation.html ../mod_dtcl-documentation.html
popd;
pushd mod_relocate-1.0;
	make install
	cp LICENSE ../LICENSE.mod_relocate
popd;
pushd mod_auth_radius-1.5.2;
	%{_sbindir}/apxs -i -a mod_auth_radius.so
popd;
pushd mod_auth_mysql-1.10; 
	%{_sbindir}/apxs -i -a mod_auth_mysql.so
popd ;
pushd dynvhost;
	%{_sbindir}/apxs -i -a mod_dynvhost.so
	cp INSTALL ../INSTALL.mod_dynvhost
	cp README  ../README.mod_dynvhost
popd;
pushd mod_fastcgi-2.2.2;
	rm -f mod_fastcgi.so
	%{_sbindir}/apxs -i -A -n mod_fastcgi_sap mod_fastcgi_sap.so
popd;
pushd mod_gzip;
	%{_sbindir}/apxs -i -a mod_gzip.so
popd;
	
pushd mod_throttle-3.1.2;
	make install;
	cp CHANGES.txt ../CHANGES.mod_throttle
	cp LICENSE.txt ../LICENSE.mod_throttle
	cp index.shtml ../index-mod_throttle.shtml
popd;
pushd mod_snake-0.5.0;
	make install
	cp AUTHORS ../AUTHORS.mod_snake
	cp COPYING ../COPYING.mod_snake 
	cp ChangeLog ../Changelog.mod_snake 
	cp INSTALL ../INSTALL.mod_snake 
	cp MAD_PROPS ../MAD_PROPS.mod_snake 
	cp NEWS ../NEWS.mod_snake 
#	cp TODO ../TODO.mod_snake
popd
pushd mod_auth_nds-0.5 ;
	%{_sbindir}/apxs -i -a mod_auth_nds.so
popd;
pushd mod_auth_smb-0.3
	%{_sbindir}/apxs -i -a mod_auth_smb.so
popd
APXS=%{_sbindir}/apxs make install
pushd mod_layout-3.0;
    make install;
popd;
pushd mod_auth_cache_0.1.0 ;
    %{_sbindir}/apxs -i -a mod_auth_cache.so ;
popd;
for file in `find . -type f -name README -mindepth 2 -print` ; do
	DIRNAME=`dirname $file` ;
	cp $file ./README.`basename $DIRNAME` ;
done
rm -f %{name}.rc.config
rm -f %{apache_sysconfdir}/suse_loadmodule.conf
rm -f %{apache_sysconfdir}/suse_addmodule.conf
MODULE_LIST="`find . -type f -name mod_\*.so -exec basename {} .so \; | cut -b 5- | fgrep -v -e cookie -e ip_forw -e auth_system -e auth_smb -e auth_kerb -e auth_shadow -e auth_cache -e auth_pgsql -e fastcgi_sap -e xslt | sort | uniq`"
MODULE_LIST="$MODULE_LIST `find . -type f -name lib\*.so -exec basename {} .so \; | fgrep -v snake | cut -b 4- | sort | uniq`"
#
# create files and enable modules
#
for module in $MODULE_LIST ; do
	write_files_per_module $module no;
done;
# 
# these modules have strange API names
#
write_files_per_module auth_cookie 	no cookie_auth ;
write_files_per_module auth_cookie_file no cookie_file_access ;
write_files_per_module ip_forwarding 	no w3c_ip_forwarding ;
write_files_per_module auth_system 	no auth_system ;
write_files_per_module auth_smb		no auth_smb ;
write_files_per_module auth_kerb        no kerb_auth ;
write_files_per_module auth_shadow      no authshadow ;
write_files_per_module auth_cache       no auth_cache ;
write_files_per_module auth_pgsql       no auth_pgsql ;
write_files_per_module fastcgi_sap      no fastcgi ;
write_files_per_module snake            no snake ;
write_files_per_module xslt             no mod_xslt
#
install -m 644 %{name}.rc.config %{_var}/adm/fillup-templates/%{name}.rc.config
find `apxs -q LIBEXECDIR` %{apache_sysconfdir}/modules -type f \
	-newer .timestamp > filelist
%ifarch i386
echo "Include: %{apache_sysconfdir}/mod_frontpage.conf" >> %{apache_sysconfdir}/modules/mod_frontpage
echo "%{apache_sysconfdir}/mod_frontpage.conf" >> filelist
echo "%attr(4711,root,root) %{_sbindir}/fpexec" >> filelist
echo "%{_libdir}/frontpage" >> filelist
echo "%{_sbindir}/validate" >> filelist
%endif
%ifnarch ia64
echo "%{_bindir}/streamwriter" >> filelist
%endif
cp %{apache_sysconfdir}/httpd.conf %{apache_sysconfdir}/httpd.conf.bak
touch %{apache_sysconfdir}/suse_loadmodule.conf
touch %{apache_sysconfdir}/suse_addmodule.conf
%{_sbindir}/httpd -t -D DUMMYSSL     || exit 1

%post
echo -n "Updating etc/rc.config.d/apache.rc.config..."
if [ -x bin/fillup ] ; then
        test -e etc/rc.config.d/apache.rc.config || touch etc/rc.config.d/apache.rc.config
        bin/fillup -q -d = etc/rc.config.d/apache.rc.config var/adm/fillup-templates/%{name}.rc.config
        echo " Done."
else
        echo
        echo "ERROR: fillup not found. This should not happen. Please compare"
        echo "etc/rc.config.d/apache.rc.config and "
        echo "var/adm/fillup-templates/%{name}.rc.config and update by hand."
fi

%files -f filelist
%doc {CHANGES,README,README.*,INSTALL.*,CHANGES.*,LICENSE.*,AUTHORS.*,COPYING.*,NEWS.*,Changelog.*}
%doc index-mod_throttle.shtml *.html
%{_var}/adm/fillup-templates/%{name}.rc.config
%config /etc/pam.d/httpd

%changelog -n apache-contrib
* Sat Jul 20 2002 - poeml@suse.de
- detect the module magic number if provided by apache, indicating
  API changes, and add an RPM Require on it
* Wed Nov 21 2001 - rolf@suse.de
- update mod_auth_pgsql to 0.9.11 security fixes
- fix security problem
- fix MD5 auth failures in some cases
- security fix: string buffers
* Fri Sep 21 2001 - rolf@suse.de
- apply escapequery security patch to mod_auth_pgsql
* Fri Sep 14 2001 - rolf@suse.de
- Fix double entries in apache.rc.config [BUG#10577]
* Thu Sep 06 2001 - schwab@suse.de
- Fix missing declarations.
* Tue Sep 04 2001 - rolf@suse.de
- New module mod_access_referer, version 1.0.1
- New module mod_auth_kerb, version 4.10
- New module mod_auth_shadow, version 1.3
- New module mod_layout, version 3.0
- New module mod_msff (Microsoft Free Fridays: reject MSIE on Friday)
- New module mod_auth_pgsql, version 0.9.8
- New module modxslt
- New module mod_auth_cache, version 0.1.0
- New module mod_hosts_access, version 1.0.0
- New module mod_witch, version 0.0.1
- Security update mod_auth_mysql 1.10
* Mon Sep 03 2001 - lmuelle@suse.de
- New module mod_auth_smb, version 0.3
- Remove duplicate README files, mod_auth_mysql, mod_auth_radius,
  mod_relocate, mod_snake
* Fri Jul 27 2001 - rolf@suse.de
- deactivate mod_frontpage for non i386 architectures
- deactivate mod_mp3 for IA64
* Thu Jul 26 2001 - rolf@suse.de
- added mod_frontpage [BUG#8857]
- disable all modules by default
- add module name as text when Apache starts
* Fri Jul 06 2001 - rolf@suse.de
- new modules mod_gd and mod_mp3
- updated mod_dtcl-0.11.0 and mod_throttle-3.1.2
* Mon May 14 2001 - rolf@suse.de
- fix bug which makes mod_fastcgi to appear twice in apache.rc.config
  [BUG#8148]
- bzip2 sources
* Tue May 08 2001 - rolf@suse.de
- added module mod_auth_pam
* Wed Mar 28 2001 - rolf@suse.de
- added modules mod_relocate and mod_dtcl
- strip lib*.so modules of symbols as well
* Wed Mar 21 2001 - rolf@suse.de
- wrote function which generates dynamic module list [BUG#6673][BUG#6375]
- added Obsoletes: modcontr [BUG#6019]
- dropped subpackage mod_fastcgi_sap
- disable allowdev dynvhost fastcgi_sap modules by default, as they
  are problematic in some respect.
- added README.SuSE
* Wed Mar 14 2001 - ro@suse.de
- update to mod_snake-0.5.0
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Tue Dec 19 2000 - rolf@suse.de
- include mod_auth_radius
- include mod_auth_nds [BUG#4606]
* Thu Nov 30 2000 - rolf@suse.de
- package renamed: apache-contrib
- added modules: mod_gzip, mod_dynvhost, mod_snake, mod_throttle
- added subpackage mod_fastcgi_sap
- fixed mod_auth_mysql to work as DSO
* Mon Nov 06 2000 - ro@suse.de
- fixed to compile & cleaned specfile
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Thu Aug 03 2000 - rolf@suse.de
- update to apache-contrib-1.0.8- added mod_auth_mysql-1.4
* Thu Apr 13 2000 - ro@suse.de
- added mm to neededforbuild
* Mon Feb 28 2000 - rolf@suse.de
- added "httpd -t" to test compiled modules
* Mon Nov 08 1999 - rolf@suse.de
- renamed to modcontr due to name space limitations
* Mon Sep 27 1999 - rolf@suse.de
- initial version 1.0.7
